
Gisaf - Bug #6090

Polygon rendering issue

25/06/2018 15:09 - Philippe May

Status: New Start date: 25/06/2018

Priority: Low Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Some filled polygon's rendering on the mapbox-gl map don't look nice.

Related issues:

Related to GIS - Bug #7937: Retention wall is not properly display in GIS, Resolved 20/03/2019

History

#1 - 25/06/2018 15:17 - Philippe May

- File Screenshot from 2018-06-25 15-07-28.png added

See attached screenshot.

It seems it's an issue related to triangulation, an algorithm used to fill polygons: https://github.com/mapbox/mapbox-gl-js/issues/3545 .

This needs more investigation, but it seems that Mapbox-gl uses an algorithm found in https://devhub.io/zh/repos/mapbox-earcut.

It mentions: "JS triangulation library that is fast enough for real-time triangulation in the browser, sacrificing triangulation quality for raw speed and

simplicity, while being robust enough to handle most practical datasets without crashing or producing garbage".

#2 - 26/06/2018 11:15 - Philippe May

- Assignee set to Philippe May

#3 - 11/02/2019 16:38 - Philippe May

Next version of Mapbox (will be pushed to Gisaf in next few days) might have a fix (see https://github.com/mapbox/mapbox-gl-js/releases)

#4 - 26/02/2019 12:55 - Philippe May

No improvement after upgrade to mapbox-gl 0.53

#5 - 07/03/2019 16:24 - Philippe May

- Priority changed from Normal to Low

#6 - 20/03/2019 15:27 - Philippe May

- Related to Bug #7937: Retention wall is not properly display in GIS,  added

Files

Screenshot from 2018-06-25 15-07-28.png 162 KB 25/06/2018 Philippe May
